io.vertx.json.schema.common

## Class MinLengthValidatorFactory

- java.lang.Object
- - io.vertx.json.schema.common.MinLengthValidatorFactory

- All Implemented Interfaces:
    ValidatorFactory

      public class MinLengthValidatorFactory
      extends Object
      implements ValidatorFactory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MinLengthValidatorFactory.MinLengthValidator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinLengthValidatorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canConsumeSchema(JsonObject schema)` Returns true if this factory can consume the provided schema, eventually returning an instance of `Validator`
    `Validator` | `createValidator(JsonObject schema, JsonPointer scope, SchemaParserInternal parser, MutableStateValidator parent)` This method consume the schema eventually creating a new `Validator`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinLengthValidatorFactory

          public MinLengthValidatorFactory()

  - ### Method Detail

    - #### createValidator

          public Validator createValidator(JsonObject schema,
                                           JsonPointer scope,
                                           SchemaParserInternal parser,
                                           MutableStateValidator parent)

      Description copied from interface: `ValidatorFactory`
      This method consume the schema eventually creating a new `Validator`. The schema parser calls it during schema parsing only if `ValidatorFactory.canConsumeSchema(JsonObject)` returns true

      You can return any of `SyncValidator`, `AsyncValidator` or `MutableStateValidator`

      Specified by:
        `createValidator` in interface `ValidatorFactory`
      Parameters:
        `schema` - JsonObject representing the schema
        `scope` - scope of the parsed schema
        `parser` - caller parser
        `parent` - parent of this schema
      Returns:
        the created validator.

    - #### canConsumeSchema

          public boolean canConsumeSchema(JsonObject schema)

      Description copied from interface: `ValidatorFactory`
      Returns true if this factory can consume the provided schema, eventually returning an instance of `Validator`
      Specified by:
        `canConsumeSchema` in interface `ValidatorFactory`
      Returns:

Copyright © 2022 Eclipse. All rights reserved.